<ion-content>
  <div class="header" fxLayout="column" style="height: 240px;">
    <div class="sub-header">
      <div fxLayout="row">
        <div [fxFlex]="45">
          <ion-chip class="saldo" *ngIf="memberRole == 1" (click)="topUp()">
            <ion-avatar>
              <img src="assets/icon/maskot-new.png" alt="">
            </ion-avatar>
            <ion-label>Rp {{user?.memberSaldo ? user?.memberSaldo : 0 }}</ion-label>
            <ion-icon src="assets/icon/add-circle.svg" class="btn-add"></ion-icon>
          </ion-chip>
        </div>

        <div fxLayoutAlign="end start" [fxFlex]="55">
          <div style="margin-right: -10px;" *ngIf="memberRole == 1 && submission == 'approved'" (click)="generateQRCode()">
            <ion-icon src="assets/icon/barcode.svg" class="barcode"></ion-icon>
          </div>

          <div *ngIf="memberRole == 0 && submission != 'pending'" class="upgrade-akun" (click)="upgradeMember()">
            <span>upgrade premium</span>
          </div>

          <div *ngIf="memberRole == 0 && submission == 'pending'" class="upgrade-akun">
            <span>Menunggu Persetujuan</span>
          </div>

          <div>
            <ion-buttons slot="start">
              <ion-menu-toggle>
                <ion-icon src="assets/icon/setting.svg" class="btn-setting"></ion-icon>
              </ion-menu-toggle>
            </ion-buttons>
          </div>
        </div>
      </div>
    </div>
    <div class="bg-user" padding fxLayout="row">
      <div>
        <!-- avatar -->
        <ion-avatar class="avatar">
          <img [src]="path + user?.memberPhoto" alt="avatar" onerror="this.src='assets/img/user-eror.png'">
        </ion-avatar>
      </div>
      <!-- END avatar -->
      <div class="info-user">
        <h4 *ngIf="!isLoading">{{user?.memberFirstName + ' ' + user?.memberLastName}}</h4>
        <h4 *ngIf="isLoading">
          <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
        </h4>
        <p *ngIf="!isLoading">
          ID {{user?.memberID}} <br>
          {{user?.memberEmail}} <br>
        </p>
        <p *ngIf="isLoading">
          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text><br>
          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text><br>
        </p>
      </div>
    </div>

  </div>

  <!-- USER PROFILE -->

  <!-- END USER PROFILE -->

  <!-- ION SEGMENT -->
  <ion-segment [(ngModel)]="segment" mode="md" class="segment">

    <ion-segment-button value="book">
      <ion-icon src="assets/icon/Book_icon.svg"></ion-icon>
    </ion-segment-button>
    <ion-segment-button value="ebook">
      <ion-icon name="bookmarks"></ion-icon>
    </ion-segment-button>
    <ion-segment-button value="wishlist">
      <ion-icon src="assets/icon/Wishlist_icon.svg"></ion-icon>
    </ion-segment-button>

  </ion-segment>
  <!-- SEGMENT BOOK -->
  <div [ngSwitch]="segment">
    <div *ngSwitchCase="'book'">
      <!-- BUKU YANG KAMU PINJAM -->
      <div class="info-peminjaman" *ngIf="!isLoadingLoan && bookLoan?.length > 0">
        <p class="color-secondary">Buku yang belum dikembalikan</p>
        
        <div class="box ion-margin-top" *ngFor="let list of bookLoan" padding fxLayout="row">
          <div class="book" [fxFlex]="50" (click)="gotoDetailBook(list.bookID)">
            <ion-card padding>
              <img src="{{storagePath.storageBookCover(list?.bookCover,list?.libraryID)}}"
                onerror="this.src='assets/img/image-not-found.png';" alt="">
              <h3 class="sparator"> {{list?.bookTitle}} </h3>
              <p>{{list?.bookWriter}}</p>
            </ion-card>
          </div>
          <div>
              <h5><ion-icon name="business" class="ic-lib"></ion-icon> {{list?.libraryName}}</h5>

            <p>Total Pinjam : <b>{{bookLoanTotal}}</b> </p>
            <p>Jatuh Tempo : </p>
            <p><b>{{list?.transactionLoanDueDate | date}}</b></p>
          </div>
        </div>
      </div>

      <ng-container *ngIf="isLoadingLoan">
        <ion-item *ngFor='let i of [1,2]' class="item-skel" lines="none">
          <ion-card>
            <ion-thumbnail slot="start" class="skeleton-thumbs">
              <ion-skeleton-text animated></ion-skeleton-text>
            </ion-thumbnail>
            <p>
              <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
            </p>
          </ion-card>

          <ion-card>
            <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
              <ion-skeleton-text animated></ion-skeleton-text>
            </ion-thumbnail>
            <p>
              <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
            </p>
          </ion-card>
        </ion-item>
      </ng-container>

      <div *ngIf="!isLoadingLoan && bookLoan?.length == 0">
        <div *ngIf="bookLoan?.length == 0" class="img-not-found ion-padding ion-text-center">
          <div><img src="assets/img/book-not-found.png"></div>
          <div>
            <h5>Tidak ada yang ditampilkan</h5>
          </div>
        </div>
      </div>

      <!-- END BUKU YANG KAMU PINJAM -->

    </div>
    <!-- END SEGMENT BOOK -->

    <!-- SEGMENT BOOK -->
    <div *ngSwitchCase="'ebook'" class="color-grey">
      <ion-grid *ngIf="ebookRental?.length > 0">
        <ion-row>
          <ion-col size="8" align-self-start>
            <p class="color-secondary">Ebook kamu </p>
          </ion-col>
        </ion-row>
      </ion-grid>
      <ion-grid *ngIf="!isLoadingRental && ebookRental?.length > 0">
        <ion-row>
          <ion-col *ngFor="let list of ebookRental" size="6" no-padding style="margin-bottom:10px;">
            <ion-card class="card-book" (click)="gotoDetailEbook(list?.ebookID,list)">
              <div class="book-list" class="ion-text-center">
                <div style="width:100%">
                  <img class="img-cover ion-text-center"
                    src="{{storagePath.storageEbookCover(list?.ebookCover,list?.libraryID)}}"
                    onError="this.src = 'assets/img/default-book.png'">
                </div>
                <div class="ion-text-left">
                  <h5>{{list?.ebookTitle}}</h5>
                  <p>{{list?.categoryTitle}}</p>
                </div>
                <div style="position:relative;">
                  <ion-grid class="ion-text-left">
                    <ion-row style="margin-top: 10px;">
                      <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px">{{list?.ebookWriter}}
                      </ion-col>
                    </ion-row>
                  </ion-grid>
                </div>

              </div>
            </ion-card>
          </ion-col>
        </ion-row>
      </ion-grid>

      <div *ngIf="!isLoadingRental && ebookRental?.length == 0">
        <div class="img-not-found ion-padding ion-text-center">
          <div><img src="assets/img/book-not-found.png"></div>
          <div>
            <h5>Tidak ada yang ditampilkan</h5>
          </div>
        </div>
      </div>

      <ng-container *ngIf="isLoadingRental">
        <ion-item *ngFor='let i of [1,2]' class="item-skel" lines="none">
          <ion-card>
            <ion-thumbnail slot="start" class="skeleton-thumbs">
              <ion-skeleton-text animated></ion-skeleton-text>
            </ion-thumbnail>
            <p>
              <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
            </p>
          </ion-card>

          <ion-card>
            <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
              <ion-skeleton-text animated></ion-skeleton-text>
            </ion-thumbnail>
            <p>
              <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
            </p>
          </ion-card>
        </ion-item>
      </ng-container>
    </div>
    <!-- END SEGMENT EBOOK -->

    <div *ngSwitchCase="'wishlist'">
      <!-- BUKU YANG KAMU PINJAM -->
      <ion-grid *ngIf="!isLoadingWhiteList && ebookWishList?.length > 0">
        <ion-row>
          <ion-col size="8" align-self-start>
            <p class="color-secondary">Ebook yang kamu sukai</p>
          </ion-col>
        </ion-row>
      </ion-grid>
      <ion-grid *ngIf="!isLoadingWhiteList && ebookWishList?.length > 0">
        <ion-row>
          <ion-col *ngFor="let list of ebookWishList" size="6" no-padding style="margin-bottom:10px;">
            <ion-card class="card-book" (click)="gotoDetailEbook(list?.ebookID,list)">
              <div class="book-list" class="ion-text-center">
                <div style="width:100%">
                  <img class="img-cover ion-text-center"
                    src="{{storagePath.storageEbookCover(list?.ebookCover,list?.libraryID)}}"
                    onError="this.src = 'assets/img/default-book.png'">
                </div>
                <div class="ion-text-left">
                  <h5>{{list?.ebookTitle}}</h5>
                  <p>{{list?.categoryTitle}}</p>
                </div>
                <div style="position:relative;">
                  <ion-grid class="ion-text-left">
                    <ion-row style="margin-top: 10px;">
                      <ion-col class="no-wrap ion-text-left" size='12' style="font-size: 12px">{{list?.ebookWriter}}
                      </ion-col>
                    </ion-row>
                  </ion-grid>
                </div>

              </div>
            </ion-card>
          </ion-col>
        </ion-row>
      </ion-grid>

      <ng-container *ngIf="isLoadingWhiteList">
        <ion-item *ngFor='let i of [1,2]' class="item-skel" lines="none">
          <ion-card>
            <ion-thumbnail slot="start" class="skeleton-thumbs">
              <ion-skeleton-text animated></ion-skeleton-text>
            </ion-thumbnail>
            <p>
              <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
            </p>
          </ion-card>

          <ion-card>
            <ion-thumbnail slot="start" class="skeleton-thumbs ion-no-margin">
              <ion-skeleton-text animated></ion-skeleton-text>
            </ion-thumbnail>
            <p>
              <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
              <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
            </p>
            <p>
              <ion-skeleton-text animated style="width: 80%;margin-top: -5px;"></ion-skeleton-text>
            </p>
          </ion-card>
        </ion-item>
      </ng-container>

      <div *ngIf="!isLoadindWhiteList && ebookWishList?.length == 0">
        <div class="img-not-found ion-padding ion-text-center">
          <div><img src="assets/img/book-not-found.png"></div>
          <div>
            <h5>Tidak ada yang ditampilkan</h5>
          </div>
        </div>
      </div>
    </div>
    <!-- END BUKU YANG KAMU PINJAM -->
  </div>
  <!-- END ION SEGMENT -->



</ion-content>